Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event.uricontent
Class URIContentEvent

    java.lang.Object
      org.mozilla.jrex.event.uricontent.URIContentEvent

public class URIContentEvent
extends Object

A class representing JRex URIContent Event.

Version:
  1.0
Author:
  C.N.Medappa

Constructor Summary
`URIContentEvent(int jrexPeer, int eventType, Object eventParam)` URIContentEvent constructor

Method Summary
`Object` | `getEventParam()` Returns data associated to the URIContent event.
`int` | `getEventType()` Returns the URIContent event type.
`int` | `getJRexPeer()` Returns the target browser component to which the URIContent event belongs.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URIContentEvent

    public URIContentEvent(int jrexPeer,
                           int eventType,
                           Object eventParam)

  URIContentEvent constructor

Parameters:
  `jrexPeer` - target browser component to which the event belongs
  `eventType` - type of URIContent event
  `eventParam` - data associated to the URIContent event
See Also:
  `URIContentEventConstants`

Method Detail

### getJRexPeer

    public int getJRexPeer()

  Returns the target browser component to which the URIContent event belongs.

### getEventType

    public int getEventType()

  Returns the URIContent event type.

### getEventParam

    public Object getEventParam()

  Returns data associated to the URIContent event.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.